Legacy article upsert
curl --request POST \
--url https://{host}/product-catalog/v1/import \
--header 'Content-Type: application/json' \
--data '
[
{
"article": {
"articleId": "<string>",
"name": "<string>",
"eans": [
"<string>"
],
"category": {
"id": "<string>",
"name": "<string>",
"groupName": "<string>"
},
"units": 123,
"hierarchyId": "<string>",
"storeId": "<string>",
"chainId": "<string>",
"salePrice": 123,
"taxCode": 123,
"pricePerUnit": 123,
"isWeightable": true,
"pricePerPiece": 123,
"unitsPerPiece": 123,
"restrictions": [],
"depositItem": "<unknown>",
"hamperItems": "<array>",
"createdDate": "2023-11-07T05:31:56Z",
"lastUpdateDate": "2023-11-07T05:31:56Z",
"imageUrl": "<string>",
"isWithoutBarcode": true
}
}
]
'import requests
url = "https://{host}/product-catalog/v1/import"
payload = [{ "article": {
"articleId": "<string>",
"name": "<string>",
"eans": ["<string>"],
"category": {
"id": "<string>",
"name": "<string>",
"groupName": "<string>"
},
"units": 123,
"hierarchyId": "<string>",
"storeId": "<string>",
"chainId": "<string>",
"salePrice": 123,
"taxCode": 123,
"pricePerUnit": 123,
"isWeightable": True,
"pricePerPiece": 123,
"unitsPerPiece": 123,
"restrictions": [],
"depositItem": "<unknown>",
"hamperItems": "<array>",
"createdDate": "2023-11-07T05:31:56Z",
"lastUpdateDate": "2023-11-07T05:31:56Z",
"imageUrl": "<string>",
"isWithoutBarcode": True
} }]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
article: {
articleId: '<string>',
name: '<string>',
eans: ['<string>'],
category: {id: '<string>', name: '<string>', groupName: '<string>'},
units: 123,
hierarchyId: '<string>',
storeId: '<string>',
chainId: '<string>',
salePrice: 123,
taxCode: 123,
pricePerUnit: 123,
isWeightable: true,
pricePerPiece: 123,
unitsPerPiece: 123,
restrictions: [],
depositItem: '<unknown>',
hamperItems: '<array>',
createdDate: '2023-11-07T05:31:56Z',
lastUpdateDate: '2023-11-07T05:31:56Z',
imageUrl: '<string>',
isWithoutBarcode: true
}
}
])
};
fetch('https://{host}/product-catalog/v1/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"modifiedCount": 123,
"insertedCount": 123,
"deletedCount": 123,
"errorCount": 123
}{
"errors": [
{
"name": "<string>",
"message": "<string>",
"details": null
}
]
}Legacy article upsert
deprecated
Imports article information in bulk. Since this endpoint has been developed for backwards compatibility purpose, the endpoint may be removed in future versions. Use v2 import of articles instead.
POST
/
v1
/
import
Legacy article upsert
Query Parameters
The different import types
Available options:
FullWithUpsert, Incremental, FullWithCleanup Body
application/jsontext/jsonapplication/*+json
Response
OK
Last modified on August 10, 2026
⌘I